org.apache.catalina.valves.rewrite

## Class Resolver

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Resolver

Direct Known Subclasses:
  ResolverImpl

    public abstract class Resolver
    extends Object

Resolver abstract class.

### Constructor Summary

Constructors
Constructor and Description
`Resolver()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract Charset` `getUriCharset()`
`abstract String` `resolve(String key)`
`String` `resolveEnv(String key)`
`abstract String` `resolveHttp(String key)`
`abstract boolean` `resolveResource(int type, String name)`
`abstract String` `resolveSsl(String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Resolver

    public Resolver()

### Method Detail

#### resolve

    public abstract String resolve(String key)

#### resolveEnv

    public String resolveEnv(String key)

#### resolveSsl

    public abstract String resolveSsl(String key)

#### resolveHttp

    public abstract String resolveHttp(String key)

#### resolveResource

    public abstract boolean resolveResource(int type,
                                            String name)

#### getUriCharset

    public abstract Charset getUriCharset()